Module java.base
Package java.security.acl

# Interface Permission

    @Deprecated(since="9",
                forRemoval=true)
    public interface Permission

Deprecated, for removal: This API element is subject to removal in a future version.
This class is deprecated and subject to removal in a future version of Java SE. It has been replaced by `java.security.Policy` and related classes since 1.2.
This interface represents a permission, such as that used to grant a particular type of access to a resource.

Since:
  1.1

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object another)` | Deprecated, for removal: This API element is subject to removal in a future version. Returns true if the object passed matches the permission represented in this interface.
`String` | `toString()` | Deprecated, for removal: This API element is subject to removal in a future version. Prints a string representation of this permission.

## Method Details

### equals

boolean equals​(Object another)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns true if the object passed matches the permission represented in this interface.

Overrides:
  `equals` in class `Object`
Parameters:
  `another` - the Permission object to compare with.
Returns:
  true if the Permission objects are equal, false otherwise
See Also:
  `Object.hashCode()`, `HashMap`

### toString

String toString()
Deprecated, for removal: This API element is subject to removal in a future version.
Prints a string representation of this permission.

Overrides:
  `toString` in class `Object`
Returns:
  the string representation of the permission.